Subject: RE: [hackers-il] Ideas for business models for hspell-like projec ts

From: Chen Shapira <[email-masked]>
Date: Sat, 20 Sep 2003 06:40:20 +0300

Hi,

I also have a project where I worry about tainted data. The data is
collected automatically from agents, but it can be tainted because of
problems in the agent itself.
Since we collect lots of data over a large period of time we employ
statistical methods to verify it. We don't accept data that is too different
from the data that was collected at th same time last week, we have "dummy
data" that isn't supposed to change - if it changes by more than two sigma,
we reject all data collected from that agent at that time.

It doesn't sound like you can use automatic verification can be used in your
case, though.
Is it possible for your average user to easily verify the data just by
looking at it? If this is the case, you can have a system where users have
to explicitly OK imports of new data. They can also decide that they trust
some user and accept all data from him without questioning, they can also
mark data as "bad" and other users will be able to see it.
Have a visible "trust metric" shown next to the data. "56 users trust this
data, 3 users consider it a damn lie".
I'm not sure if this system is perfect, but it works pretty well for eBay.

Regarding the fork: If someone else has a succesfull fork, it probably means
that he found a way to solve your problem - buy him, his company and the
database.
Since this problem is not trivial, and no db will succeed without
successfully resolving it, you may be safe.

You can also offer to *buy* data from users who collected large amounts of
data and can prove it correct. This may solve both issues.

Thanks,
Chen

> -----Original Message-----
> From: Omer Zak [mailto:[email-masked]]
> Sent: Saturday, September 20, 2003 1:20 AM
> To: Hackers-IL
> Subject: [hackers-il] Ideas for business models for 
> hspell-like projects
> 
> 
> Let's consider a project similar to hspell in the following
> characteristics:
> 1. It utilizes Free Software, and the resulting software is 
> Free as well.
> 2. The project relies upon a large database of information.
> 3. There is a mechanism for people to contribute to the database.
> 
> The following considrations exist as well:
> 1. The software developer/s would like to be able to make a 
> living from
>    the software one way or other.  The users would benefit 
> from this as
>    well, because the developer/s would be able to work fulltime on
>    improvements to the software and the database.
> 2. Some mechanism is needed to prevent rogue users from 
> "poisoning" the
>    database with bad data.  Yet moderation by the project 
> owners is not
>    feasible.
> 3. Some barrier of entry is desired to make it difficult for 
> other people
>    to fork the project's database and get people to contribute only to
>    their clone of the database (forking the software is not a problem,
>    but forking the database is a problem).
> 
> Then, my questions are:
> 1. How would one organize the project to accomplish all the above
>    objectives?
> 2. What (if at all) business model/s can be used to allow the 
> developers
>    to make decent living from the software?
>    (Note that dual-licensing, like the approach taken by MySQL AB,
>    TrollTech, etc. is not possible here, because Free 
> Software is used in
>    the project.)
> 3. What can be used to motivate people to contribute 
> (correct) data to the
>    database?
> 
> The above is meant to be general discussion (although I have 
> a specific
> project in mind).
>                                              --- Omer
> My opinions, as expressed in this E-mail message, are mine alone.
> They do not represent the official policy of any organization 
> with which
> I may be affiliated in any way.
> WARNING TO SPAMMERS:  at http://www.zak.co.il/spamwarning.html
> 
> 
> ------------------------ Yahoo! Groups Sponsor 
> ---------------------~-->
> Upgrade to 128-Bit SSL Security!
> http://us.click.yahoo.com/p7cEmB/s7qGAA/yigFAA/saFolB/TM
> --------------------------------------------------------------
> -------~->
> 
> To unsubscribe from this group, send an email to:
> [email-masked]
> 
>  
> 
> Your use of Yahoo! Groups is subject to 
> http://docs.yahoo.com/info/terms/ 
> 
> 
> 
> ______________________________________________________________
> __________
> This email has been scanned for all viruses. 
> 
> Mercury Interactive Corporation
> Optimizing Business Processes to Maximize Business Results
> 

________________________________________________________________________
This email has been scanned for all viruses. 

Mercury Interactive Corporation
Optimizing Business Processes to Maximize Business Results